VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification Class Reference

The `Host.CreateSpec.ThumbprintVerification` enumerated type defines the thumbprint verification schemes for a host's SSL certificate. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, NONE, THUMBPRINT }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ThumbprintVerification[] | GetValues ()
static ThumbprintVerification | ValueOf (string name)
## Static Public Attributes
static readonly ThumbprintVerification | NONE = new ThumbprintVerification("NONE", Values.NONE)
| Accept the host's thumbprint without verifying it.
static readonly ThumbprintVerification | THUMBPRINT = new ThumbprintVerification("THUMBPRINT", Values.THUMBPRINT)
| Host's SSL certificate verified by checking its thumbprint against the specified thumbprint.

## Detailed Description

The `Host.CreateSpec.ThumbprintVerification` enumerated type defines the thumbprint verification schemes for a host's SSL certificate.

## Member Enumeration Documentation

enum vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  NONE | Accept the host's thumbprint without verifying it.
  THUMBPRINT | Host's SSL certificate verified by checking its thumbprint against the specified thumbprint.

## Member Function Documentation

Values vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::GetEnumValue | ( |  | ) | `[inline]`

static ThumbprintVerification [] vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::IsUnknown | ( |  | ) | `[inline]`

static ThumbprintVerification vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ThumbprintVerification vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::NONE = new ThumbprintVerification("NONE", Values.NONE)`[static]`

Accept the host's thumbprint without verifying it.

readonly ThumbprintVerification vmware::vcenter::HostTypes::CreateSpec::ThumbprintVerification::THUMBPRINT = new ThumbprintVerification("THUMBPRINT", Values.THUMBPRINT)`[static]`

Host's SSL certificate verified by checking its thumbprint against the specified thumbprint.

The documentation for this class was generated from the following file:

- HostTypes.cs